[Stable-Staging Update] 2020-03-10 - Kernels, Plasma 5.18.3, KDE Frameworks 5.67, KDE Apps 19.12.3, Firefox, Kodi

Hello community,

here is another Stable-Staging Update for your final review:


We think we found a decent way on how to group applications for our upcoming Gnome release ...

Some feature-updates:

  • Kernels got updated
  • Palemoon got updated to 28.8.4
  • Kodi released 18.6
  • KDE-git packages got updated
  • Plasma 5.18 got its third point-release, which fixes most of the reported issues
  • KDE-Frameworks got updated to 5.67.0
  • KDE Applications got updated to 19.12.3
  • Nvidia driver to updated to 440.64
  • We updated Mesa to 19.3.5
  • A lot of python and haskell updates

If you like following latest Plasma development you may also like to check out our current version of manjaro-kde-dev, which we build on a regular basis against kde-git master packages. Also check out our current 19.0.2 ISOs and give us the needed feedback. You might also want to give our latest spin with NX-Desktop a try ...

As always we appreciate your input and feedback for the updates.


Upstream notice

Arch updated their default compression to zstd. We adopted to the same standard. More and more packages will have the zst extension from now on. If you get for what ever reason an error with ZSTD not supported as archive format you can do this:

wget https://pkgbuild.com/~eschwartz/repo/x86_64-extracted/pacman-static
chmod +x pacman-static
sudo ./pacman-static -Syyu

Our current supported kernels

  • linux316 3.16.82
  • linux44 4.4.215
  • linux49 4.9.215
  • linux414 4.14.172
  • linux419 4.19.108
  • linux54 5.4.24
  • linux55 5.5.8
  • linux56 5.6-rc4
  • linux419-rt 4.19.106_rt44
  • linux54-rt 5.4.22_rt13

Package Changes (Sat Mar 7 09:00:15 CET 2020)

A detailed list of all packages changes can be found here.

  • No issue, everything went smoothly
  • Yes there was an issue. I was able to resolve it myself.(Please post your solution)
  • Yes i am currently experiencing an issue due to the update. (Please post about it)

0 voters

Check if your mirror has already synced:

2 Likes

Am I blind or announcements of stable-staging updates do not show up in the "Announcements" section?

1 Like

The posts are located in the development section because there's no stable-staging announcement category. In theory after the dust has settled on a problematic update stable-staging would be dormant most of the time. With that in mind at some point you may be advised to either switch to stable or go on to testing branch instead to continue receiving updates.

Just a question: I checked because I didn't get the update yet, and I'm not sure which column ("Stable" or "Testing"?) we have to check for stable-staging updates.

1 Like

thx for the update i'll be updating and report unknown bugs if there is

Neither, they are separate branches. there's no way to use the checker for this branch. The top post is comprised from a standard announcement template that always says that at the end.

When your chosen mirrors are synched you will be offered the updates by the pamac notifier

update working good

I'm on testing. I'm posting this issue here because there is no testing update thread for Plasma 5.18.3.

I no longer have a Now Playing icon in the task bar when playing music.

EDIT: This seemed to resolve itself. I don't know why it didn't work the first time, but it is working now.

Are you sure? :wink:

Testing already had everything in today's stable-staging update except for Firefox 74 and a few others.

No, that update contained new KDE-git packages, not Plasma 5.18.3.

Ah, that would be some of the "few others" I mentioned. I'm using GNOME, so of course didn't notice.

Ditto here. Maybe this was supposed to be a testing update? :woman_shrugging:

I just exited and started playing music again. Now I have the Media Player widget back in my taskbar.

image

Hi there, I'm stuck with:

erreur : lib32-libva-mesa-driver : la signature de « Philip Müller (Called Little) <philm@manjaro.org> » n’est pas valide
:: Le fichier /var/cache/pacman/pkg/lib32-libva-mesa-driver-19.3.5-1-x86_64.pkg.tar.zst est corrompu (paquet non valide ou corrompu (signature PGP)).

That even after complete refresh-key procedure (with no errors) & Sc

What should I do ?

pamac upgrade again froze during download.
Had to do this:
https://archived.forum.manjaro.org/t/stable-staging-update-2020-02-26-kernels-mesa-libreoffice-pamac-9-4-rc-blender-2-82-networkmanager/126185/59?u=hc6505

Grub disappeared. I had to run
sudo update-grub
to get it back.

This might be something I did in the past, just never seen it before:
sddm started to autologin, even though the settings was set to not autologin.
I set it to autologin and hit apply, removed the mark and again hit apply.
Now it ask for password before login

Which Pamac version? This is stable-staging and ships with Pamac 9.3 still.

Check if the files are corrupted:

phil@development /var/cache/manjaro-tools/pkg/stable-staging/multilib $ sha1sum *
a2a0f22b67d1b3e4731ff682eadfe7ac14aa2f33  lib32-libva-mesa-driver-19.3.5-1-x86_64.pkg.tar.zst
584804aab59f4d8591baca6d4a7ccea20714c96b  lib32-libva-mesa-driver-19.3.5-1-x86_64.pkg.tar.zst.sig
9ee4d467775102fc27676a88dc2c2daf02b29c63  lib32-mesa-19.3.5-1-x86_64.pkg.tar.zst
cdd4ff1ea8070a7fcf2f752440ee2ec58396a97d  lib32-mesa-19.3.5-1-x86_64.pkg.tar.zst.sig
a30aaac1de3cd0ea9cb4948a233fbcd8391a72fb  lib32-mesa-vdpau-19.3.5-1-x86_64.pkg.tar.zst
23c58383c65989f820c9a70349c325cacf2e3089  lib32-mesa-vdpau-19.3.5-1-x86_64.pkg.tar.zst.sig
76f1d1d7ddbceb6ae1295b8e88a1c34f55c0dee3  lib32-opencl-mesa-19.3.5-1-x86_64.pkg.tar.zst
2fd76cc8c3d9cb1b4226db7448543dbf9a7dd3ef  lib32-opencl-mesa-19.3.5-1-x86_64.pkg.tar.zst.sig
46c6a7dac2c5abcc392950406b94115c225d0971  lib32-vulkan-intel-19.3.5-1-x86_64.pkg.tar.zst
c0901e7b209e7d44f98a568ed7daf5fac9990539  lib32-vulkan-intel-19.3.5-1-x86_64.pkg.tar.zst.sig
35ddba4dc77f9b02ca403287762a7a6a2e1d9475  lib32-vulkan-radeon-19.3.5-1-x86_64.pkg.tar.zst
fff3039acf7cecaa67677efc17f9188013d29fff  lib32-vulkan-radeon-19.3.5-1-x86_64.pkg.tar.zst.sig

Everything fine here (with Manjaro XFCE).

1rst one seems to be :

a2a0f22b67d1b3e4731ff682eadfe7ac14aa2f33  lib32-libva-mesa-driver-19.3.5-1-x86_64.pkg.tar.zst
681f41b5c0bed5379480a31f3658c144fa9281ba  lib32-libva-mesa-driver-19.3.5-1-x86_64.pkg.tar.zst

I didn't went further.

Should I change servers (I'm now on belgian servers) ?

I checked with repo.manjaro.org.uk and it seems to be fine:

a2a0f22b67d1b3e4731ff682eadfe7ac14aa2f33  lib32-libva-mesa-driver-19.3.5-1-x86_64.pkg.tar.zst
a30aaac1de3cd0ea9cb4948a233fbcd8391a72fb  lib32-mesa-vdpau-19.3.5-1-x86_64.pkg.tar.zst

Forum kindly sponsored by